#!/usr/bin/env python
# $Id$

import pygtk
pygtk.require('2.0')
import gtk, vte, os

class MyTerminal:
    def __init__(self):
        self.window = gtk.Window(gtk.WINDOW_TOPLEVEL)
        self.window.set_title("Python Terminal")
        self.window.set_border_width(0)

        terminal = vte.Terminal()
        self.window.add(terminal)
        
        # Get users default $SHELL
        try:
            shell = os.environ['SHELL']
        except KeyError:
            shell = '/bin/sh'

        terminal.fork_command(shell)

        self.window.connect("delete_event", lambda w,e: gtk.main_quit())
        terminal.connect("child_exited", lambda w: gtk.main_quit())

        terminal.show()
        self.window.show()

def main():
    gtk.main()
    return 0

if __name__ == "__main__":
    MyTerminal()
    main()

# vim:syntax=python
# vim:sw=4:softtabstop=4:expandtab
